Bug 147311 - Ligth Table RAW images does not rotate as def. by exif info
Summary: Ligth Table RAW images does not rotate as def. by exif info
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: LightTable-Canvas (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-27 22:37 UTC by Lóránd Somogyi
Modified: 2022-02-01 09:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lóránd Somogyi 2007-06-27 22:37:43 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    Ubuntu Packages
OS:                Linux

The Light Table does not rotate RAW (NEF) images, as defined by the EXIF information from the file.

It is really annoying when there is a RAW image + a processed one (for example TIFF) from the same source and one is in portrait and the other is in landscape...
Comment 1 Mikolaj Machowski 2007-08-22 11:50:48 UTC
Wasn't that fixed?
Comment 2 Lóránd Somogyi 2007-09-10 23:59:09 UTC
Not for 0.9.2-final (KDE 3.5.6). 
The bug is still present.

Comment 3 caulier.gilles 2007-09-11 06:25:19 UTC
Lorand,

Marcel has fixed few code in current implementation of digiKam for KDE3. please checkout svn, compile, install, and try again.

Note : rotation info is handle by libexiv2 + libkexiv2. Please update to last stable releases before to test.

Gilles Caulier
Comment 4 David Bremner 2007-09-16 11:11:22 UTC
I can confirm this bug is fixed for me after building from SVN (2007-09-16).  I am using Canon CR2 files rather than NEF, but I suspect the same fix works for both
Comment 5 caulier.gilles 2007-09-19 08:04:18 UTC
Ok thanks for the report David. I close this file now.

Gilles Caulier